## IdeTree IdeTree |

## Functions

GtkWidget * | ide_tree_new ()
void | ide_tree_set_context_menu ()
void | ide_tree_show_popover_at_node ()
IdeTreeNode * | ide_tree_get_selected_node ()
void | ide_tree_select_node ()
void | ide_tree_expand_node ()
void | ide_tree_collapse_node ()
gboolean | ide_tree_node_expanded ()

## Types and Values

#define | IDE_TYPE_TREE
struct | IdeTreeClass
| IdeTree

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── IdeTree

## Implemented Interfaces

IdeTree implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### ide_tree_new ()

    GtkWidget *
    ide_tree_new (void);

### ide_tree_set_context_menu ()

    void
    ide_tree_set_context_menu (IdeTree *self,
                               GMenu *menu);

### ide_tree_show_popover_at_node ()

    void
    ide_tree_show_popover_at_node (IdeTree *self,
                                   IdeTreeNode *node,
                                   GtkPopover *popover);

### ide_tree_get_selected_node ()

    IdeTreeNode *
    ide_tree_get_selected_node (IdeTree *self);

Gets the currently selected node, or `NULL`

#### Parameters

self | a IdeTree |

#### Returns

an IdeTreeNode or `NULL`.

[transfer none][nullable]

Since: 3.32

### ide_tree_select_node ()

    void
    ide_tree_select_node (IdeTree *self,
                          IdeTreeNode *node);

### ide_tree_expand_node ()

    void
    ide_tree_expand_node (IdeTree *self,
                          IdeTreeNode *node);

### ide_tree_collapse_node ()

    void
    ide_tree_collapse_node (IdeTree *self,
                            IdeTreeNode *node);

### ide_tree_node_expanded ()

    gboolean
    ide_tree_node_expanded (IdeTree *self,
                            IdeTreeNode *node);

## Types and Values

### IDE_TYPE_TREE

    #define IDE_TYPE_TREE (ide_tree_get_type())

### struct IdeTreeClass

    struct IdeTreeClass {
      GtkTreeViewClass parent_type;
    };

### IdeTree

    typedef struct _IdeTree IdeTree;